<?php
/**
 * app/controllers/api/users.php
 *
 * This is the users' api controller.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers\Api;

use TheTempusProject\Models\User;
use TheTempusProject\Classes\ApiController;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Bedrock\Functions\Input;
use TheTempusProject\Classes\Forms;
use TheTempusProject\Houdini\Classes\Template;
use TheTempusProject\Models\Chat;

class Messages extends ApiController {
    public static $chat;

    public function __construct() {
        parent::__construct();
        self::$chat = new Chat;
        Template::setTemplate( 'api' );
    }

    public function sendMessage() {
        $response = true;
        if ( ! Forms::check( 'newChatMessage' ) ) {
            $response = 'Invalid Form';
        } else {
            $response = self::$chat->create(  Input::post( 'chatMessage' ) );
        }
        Views::view( 'api.response', ['response' => json_encode( [ 'data' => $response ], true )]);
    }

    public function getMessages() {
        $response = Views::simpleView( 'chat.chat', self::$chat->recent( 50 ) );
        Views::view( 'api.response', ['response' => json_encode( [ 'data' => $response ], true )]);
    }
}