<?php
/**
 * app/plugins/dice/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Dice
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Dice extends Plugin {
    public $pluginName = 'TP Dice';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds various dice for tabletop gaming.';
    public $configName = 'dice';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable dice usage.',
            'default' => true,
        ],
    ];
    public $permissionMatrix = [
        'dice' => [
            'pretty' => 'Can use dice',
            'default' => true,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Dice',
            'url' => '{ROOT_URL}dice/index',
        ],
    ];
}
