<?php
/**
 * app/plugins/initiativetracker/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP InitiativeTracker
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Initiativetracker extends Plugin {
    public $pluginName = 'TP InitiativeTracker';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a simple initiative tracker.';
    public $configName = 'initiativeTracker';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable tracker usage.',
            'default' => true,
        ],
    ];
    public $permissionMatrix = [
        'useInitiativeTracker' => [
            'pretty' => 'Can use the tracker',
            'default' => true,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Initiative',
            'url' => '{ROOT_URL}initiative/index',
        ],
    ];
}

// need to add a way to save the initiative history ( both personal, and for the table )
// need a way to save characters for the autofill
// need to add a "clear" button for initiative roller
// if you have tables, and are a DM, your group can access the initiative history