<?php
/**
 * app/plugins/polls/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Polls
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Polls extends Plugin {
    public $pluginName = 'TP Polls';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a site wide polling system.';
    public $permissionMatrix = [
        'suggest' => [
            'pretty' => 'Can create suggestions',
            'default' => false,
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-copy"></i> Suggestions',
            'url' => '{ROOT_URL}admin/suggestions',
        ],
    ];
    public $footer_links = [
        [
            'text' => 'Suggestions',
            'url' => '{ROOT_URL}suggestions/index',
            'filter' => 'loggedin',
        ],
    ];
}

// polls should be allowed to be vote editable or not vote editable

// poll type, select one, select any

// can i support 'write in' responses