<?php
/**
 * app/plugins/timers/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Timers
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Timers extends Plugin {
    public $pluginName = 'TP Timers';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds various timers for tabletop gaming.';
    public $configName = 'timers';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable timer usage.',
            'default' => true,
        ],
    ];
    public $permissionMatrix = [
        'timers' => [
            'pretty' => 'Can use timers',
            'default' => true,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Timers',
            'url' => '{ROOT_URL}timers/index',
        ],
    ];
}
